From 0d09425cf1d54fb660f072572891f45839607b2d Mon Sep 17 00:00:00 2001
From: Michael Sarahan <msarahan@gmail.com>
Date: Tue, 24 Oct 2017 09:23:24 -0500
Subject: [PATCH 1/2] update vendorings to match master

---
 pip/_vendor/README.rst                             |  112 +-
 pip/_vendor/__init__.py                            |    2 +
 pip/_vendor/appdirs.py                             |  102 +-
 pip/_vendor/appdirs.pyi                            |    1 +
 pip/_vendor/cachecontrol.pyi                       |    1 +
 pip/_vendor/cachecontrol/__init__.py               |    2 +-
 pip/_vendor/cachecontrol/adapter.py                |   13 +-
 pip/_vendor/cachecontrol/caches/__init__.py        |   20 +-
 pip/_vendor/cachecontrol/caches/file_cache.py      |   37 +-
 pip/_vendor/cachecontrol/caches/redis_cache.py     |    4 +-
 pip/_vendor/cachecontrol/compat.py                 |   17 +-
 pip/_vendor/cachecontrol/controller.py             |    9 +-
 pip/_vendor/cachecontrol/serialize.py              |   82 +-
 pip/_vendor/cachecontrol/wrapper.py                |   10 +-
 pip/_vendor/certifi.pyi                            |    1 +
 pip/_vendor/certifi/__init__.py                    |    3 +
 pip/_vendor/certifi/__main__.py                    |    2 +
 pip/_vendor/certifi/cacert.pem                     | 4834 +++++++++++++
 pip/_vendor/certifi/core.py                        |   36 +
 pip/_vendor/certifi/old_root.pem                   |  414 ++
 pip/_vendor/certifi/weak.pem                       | 5248 ++++++++++++++
 pip/_vendor/chardet.pyi                            |    1 +
 .../{requests/packages => }/chardet/__init__.py    |   31 +-
 pip/_vendor/chardet/big5freq.py                    |  386 +
 .../{requests/packages => }/chardet/big5prober.py  |   15 +-
 .../packages => }/chardet/chardistribution.py      |  146 +-
 pip/_vendor/chardet/charsetgroupprober.py          |  106 +
 pip/_vendor/chardet/charsetprober.py               |  145 +
 pip/_vendor/chardet/cli/__init__.py                |    1 +
 .../packages/chardet => chardet/cli}/chardetect.py |   25 +-
 pip/_vendor/chardet/codingstatemachine.py          |   88 +
 .../{requests/packages => }/chardet/compat.py      |   16 +-
 .../{requests/packages => }/chardet/cp949prober.py |   19 +-
 pip/_vendor/chardet/enums.py                       |   76 +
 pip/_vendor/chardet/escprober.py                   |  101 +
 pip/_vendor/chardet/escsm.py                       |  246 +
 pip/_vendor/chardet/eucjpprober.py                 |   92 +
 pip/_vendor/chardet/euckrfreq.py                   |  195 +
 .../{requests/packages => }/chardet/euckrprober.py |   15 +-
 .../{requests/packages => }/chardet/euctwfreq.py   |  719 +-
 .../{requests/packages => }/chardet/euctwprober.py |   19 +-
 .../{requests/packages => }/chardet/gb2312freq.py  |  195 +-
 .../packages => }/chardet/gb2312prober.py          |   19 +-
 .../packages => }/chardet/hebrewprober.py          |  157 +-
 .../{requests/packages => }/chardet/jisfreq.py     |  250 +-
 .../{requests/packages => }/chardet/jpcntx.py      |  124 +-
 .../packages => }/chardet/langbulgarianmodel.py    |   25 +-
 .../packages => }/chardet/langcyrillicmodel.py     |   82 +-
 .../packages => }/chardet/langgreekmodel.py        |   28 +-
 .../packages => }/chardet/langhebrewmodel.py       |   17 +-
 .../packages => }/chardet/langhungarianmodel.py    |   24 +-
 .../packages => }/chardet/langthaimodel.py         |   13 +-
 pip/_vendor/chardet/langturkishmodel.py            |  193 +
 .../packages => }/chardet/latin1prober.py          |   48 +-
 pip/_vendor/chardet/mbcharsetprober.py             |   91 +
 .../packages => }/chardet/mbcsgroupprober.py       |    6 +-
 pip/_vendor/chardet/mbcssm.py                      |  572 ++
 pip/_vendor/chardet/sbcharsetprober.py             |  132 +
 .../packages => }/chardet/sbcsgroupprober.py       |   30 +-
 pip/_vendor/chardet/sjisprober.py                  |   92 +
 pip/_vendor/chardet/universaldetector.py           |  286 +
 .../{requests/packages => }/chardet/utf8prober.py  |   58 +-
 pip/_vendor/chardet/version.py                     |    9 +
 pip/_vendor/colorama.pyi                           |    1 +
 pip/_vendor/colorama/__init__.py                   |    2 +-
 pip/_vendor/colorama/ansitowin32.py                |    4 +-
 pip/_vendor/colorama/win32.py                      |   10 +-
 pip/_vendor/distlib.pyi                            |    1 +
 pip/_vendor/distlib/__init__.py                    |    2 +-
 pip/_vendor/distlib/_backport/sysconfig.py         |   14 +-
 pip/_vendor/distlib/compat.py                      |    2 +-
 pip/_vendor/distlib/database.py                    |    2 +-
 pip/_vendor/distlib/index.py                       |    9 +-
 pip/_vendor/distlib/locators.py                    |   18 +-
 pip/_vendor/distlib/manifest.py                    |    2 +-
 pip/_vendor/distlib/markers.py                     |  240 +-
 pip/_vendor/distlib/metadata.py                    |    4 +-
 pip/_vendor/distlib/scripts.py                     |    4 +-
 pip/_vendor/distlib/util.py                        |  304 +-
 pip/_vendor/distlib/version.py                     |   38 +-
 pip/_vendor/distlib/wheel.py                       |   30 +-
 pip/_vendor/distro.py                              |   47 +-
 pip/_vendor/distro.pyi                             |    1 +
 pip/_vendor/html5lib.pyi                           |    1 +
 pip/_vendor/html5lib/__init__.py                   |    2 +-
 pip/_vendor/html5lib/_inputstream.py               |    2 +-
 pip/_vendor/html5lib/html5parser.py                |    2 +-
 pip/_vendor/idna.pyi                               |    1 +
 pip/_vendor/idna/__init__.py                       |    2 +
 pip/_vendor/idna/codec.py                          |  118 +
 pip/_vendor/idna/compat.py                         |   12 +
 pip/_vendor/idna/core.py                           |  387 +
 pip/_vendor/idna/idnadata.py                       | 1585 ++++
 pip/_vendor/idna/intranges.py                      |   53 +
 pip/_vendor/idna/package_data.py                   |    2 +
 pip/_vendor/idna/uts46data.py                      | 7634 ++++++++++++++++++++
 pip/_vendor/ipaddress.py                           |   10 +-
 pip/_vendor/ipaddress.pyi                          |    1 +
 pip/_vendor/lockfile.pyi                           |    1 +
 pip/_vendor/msgpack.pyi                            |    1 +
 pip/_vendor/msgpack/__init__.py                    |   54 +
 pip/_vendor/msgpack/_version.py                    |    1 +
 pip/_vendor/msgpack/exceptions.py                  |   29 +
 pip/_vendor/msgpack/fallback.py                    |  834 +++
 pip/_vendor/ordereddict.py                         |  127 -
 pip/_vendor/packaging.pyi                          |    1 +
 pip/_vendor/packaging/markers.py                   |    4 +-
 pip/_vendor/packaging/requirements.py              |    4 +-
 pip/_vendor/pkg_resources.pyi                      |    1 +
 pip/_vendor/pkg_resources/__init__.py              |  202 +-
 pip/_vendor/pkg_resources/py31compat.py            |   22 +
 pip/_vendor/progress.pyi                           |    1 +
 pip/_vendor/progress/__init__.py                   |   46 +-
 pip/_vendor/progress/bar.py                        |   33 +-
 pip/_vendor/progress/counter.py                    |    5 +-
 pip/_vendor/progress/spinner.py                    |   10 +-
 pip/_vendor/pyparsing.py                           |   58 +-
 pip/_vendor/pyparsing.pyi                          |    1 +
 pip/_vendor/pytoml.pyi                             |    1 +
 pip/_vendor/pytoml/__init__.py                     |    3 +
 pip/_vendor/pytoml/core.py                         |   13 +
 pip/_vendor/pytoml/parser.py                       |  374 +
 pip/_vendor/pytoml/writer.py                       |  127 +
 pip/_vendor/re-vendor.py                           |   34 -
 pip/_vendor/requests.pyi                           |    1 +
 pip/_vendor/requests/__init__.py                   |   59 +-
 pip/_vendor/requests/__version__.py                |   14 +
 pip/_vendor/requests/_internal_utils.py            |   42 +
 pip/_vendor/requests/adapters.py                   |   72 +-
 pip/_vendor/requests/api.py                        |   34 +-
 pip/_vendor/requests/auth.py                       |   51 +-
 pip/_vendor/requests/cacert.pem                    | 2100 ++----
 pip/_vendor/requests/certs.py                      |   13 +-
 pip/_vendor/requests/compat.py                     |   13 +-
 pip/_vendor/requests/cookies.py                    |   12 +-
 pip/_vendor/requests/exceptions.py                 |   10 +-
 pip/_vendor/requests/help.py                       |  120 +
 pip/_vendor/requests/models.py                     |  175 +-
 pip/_vendor/requests/packages.py                   |   14 +
 pip/_vendor/requests/packages/__init__.py          |   36 -
 pip/_vendor/requests/packages/chardet/big5freq.py  |  925 ---
 .../packages/chardet/charsetgroupprober.py         |  106 -
 .../requests/packages/chardet/charsetprober.py     |   62 -
 .../packages/chardet/codingstatemachine.py         |   61 -
 pip/_vendor/requests/packages/chardet/constants.py |   39 -
 pip/_vendor/requests/packages/chardet/escprober.py |   86 -
 pip/_vendor/requests/packages/chardet/escsm.py     |  242 -
 .../requests/packages/chardet/eucjpprober.py       |   90 -
 pip/_vendor/requests/packages/chardet/euckrfreq.py |  596 --
 .../requests/packages/chardet/mbcharsetprober.py   |   86 -
 pip/_vendor/requests/packages/chardet/mbcssm.py    |  572 --
 .../requests/packages/chardet/sbcharsetprober.py   |  120 -
 .../requests/packages/chardet/sjisprober.py        |   91 -
 .../requests/packages/chardet/universaldetector.py |  170 -
 .../requests/packages/urllib3/contrib/pyopenssl.py |  358 -
 pip/_vendor/requests/sessions.py                   |  233 +-
 pip/_vendor/requests/status_codes.py               |    2 +-
 pip/_vendor/requests/utils.py                      |  191 +-
 pip/_vendor/retrying.pyi                           |    1 +
 pip/_vendor/six/__init__.pyi                       |    1 +
 pip/_vendor/six/moves.pyi                          |    1 +
 pip/_vendor/urllib3.pyi                            |    1 +
 .../{requests/packages => }/urllib3/__init__.py    |    3 +-
 .../packages => }/urllib3/_collections.py          |   27 +-
 .../{requests/packages => }/urllib3/connection.py  |   97 +-
 .../packages => }/urllib3/connectionpool.py        |  169 +-
 .../packages => }/urllib3/contrib/__init__.py      |    0
 .../urllib3/contrib/_securetransport/__init__.py   |    0
 .../urllib3/contrib/_securetransport/bindings.py   |  593 ++
 .../urllib3/contrib/_securetransport/low_level.py  |  343 +
 .../packages => }/urllib3/contrib/appengine.py     |  111 +-
 .../packages => }/urllib3/contrib/ntlmpool.py      |    7 +-
 pip/_vendor/urllib3/contrib/pyopenssl.py           |  455 ++
 pip/_vendor/urllib3/contrib/securetransport.py     |  810 +++
 .../packages => }/urllib3/contrib/socks.py         |   26 +-
 .../{requests/packages => }/urllib3/exceptions.py  |   37 +
 .../{requests/packages => }/urllib3/fields.py      |    2 +-
 .../{requests/packages => }/urllib3/filepost.py    |    2 +-
 .../packages => }/urllib3/packages/__init__.py     |    0
 pip/_vendor/urllib3/packages/backports/__init__.py |    0
 pip/_vendor/urllib3/packages/backports/makefile.py |   53 +
 .../packages => }/urllib3/packages/ordered_dict.py |    0
 .../packages => }/urllib3/packages/six.py          |    0
 .../packages/ssl_match_hostname/__init__.py        |    8 +-
 .../packages/ssl_match_hostname/_implementation.py |   58 +-
 .../{requests/packages => }/urllib3/poolmanager.py |  197 +-
 .../{requests/packages => }/urllib3/request.py     |    5 +-
 .../{requests/packages => }/urllib3/response.py    |  110 +-
 .../packages => }/urllib3/util/__init__.py         |    8 +
 .../packages => }/urllib3/util/connection.py       |   32 +-
 .../packages => }/urllib3/util/request.py          |   48 +-
 .../packages => }/urllib3/util/response.py         |    7 +
 .../{requests/packages => }/urllib3/util/retry.py  |  149 +-
 pip/_vendor/urllib3/util/selectors.py              |  581 ++
 .../{requests/packages => }/urllib3/util/ssl_.py   |   49 +-
 .../packages => }/urllib3/util/timeout.py          |   22 +-
 .../{requests/packages => }/urllib3/util/url.py    |   23 +-
 pip/_vendor/urllib3/util/wait.py                   |   40 +
 pip/_vendor/vendor.txt                             |   28 +-
 pip/_vendor/webencodings.pyi                       |    1 +
 pip/_vendor/webencodings/__init__.py               |    4 +-
 pip/_vendor/webencodings/tests.py                  |    2 +-
 pip/_vendor/webencodings/x_user_defined.py         |    2 +-
 203 files changed, 31585 insertions(+), 7701 deletions(-)
 create mode 100644 pip/_vendor/appdirs.pyi
 create mode 100644 pip/_vendor/cachecontrol.pyi
 create mode 100644 pip/_vendor/certifi.pyi
 create mode 100644 pip/_vendor/certifi/__init__.py
 create mode 100644 pip/_vendor/certifi/__main__.py
 create mode 100644 pip/_vendor/certifi/cacert.pem
 create mode 100644 pip/_vendor/certifi/core.py
 create mode 100644 pip/_vendor/certifi/old_root.pem
 create mode 100644 pip/_vendor/certifi/weak.pem
 create mode 100644 pip/_vendor/chardet.pyi
 rename pip/_vendor/{requests/packages => }/chardet/__init__.py (55%)
 create mode 100644 pip/_vendor/chardet/big5freq.py
 rename pip/_vendor/{requests/packages => }/chardet/big5prober.py (82%)
 rename pip/_vendor/{requests/packages => }/chardet/chardistribution.py (61%)
 create mode 100644 pip/_vendor/chardet/charsetgroupprober.py
 create mode 100644 pip/_vendor/chardet/charsetprober.py
 create mode 100644 pip/_vendor/chardet/cli/__init__.py
 rename pip/_vendor/{requests/packages/chardet => chardet/cli}/chardetect.py (78%)
 create mode 100644 pip/_vendor/chardet/codingstatemachine.py
 rename pip/_vendor/{requests/packages => }/chardet/compat.py (85%)
 rename pip/_vendor/{requests/packages => }/chardet/cp949prober.py (83%)
 create mode 100644 pip/_vendor/chardet/enums.py
 create mode 100644 pip/_vendor/chardet/escprober.py
 create mode 100644 pip/_vendor/chardet/escsm.py
 create mode 100644 pip/_vendor/chardet/eucjpprober.py
 create mode 100644 pip/_vendor/chardet/euckrfreq.py
 rename pip/_vendor/{requests/packages => }/chardet/euckrprober.py (82%)
 rename pip/_vendor/{requests/packages => }/chardet/euctwfreq.py (66%)
 rename pip/_vendor/{requests/packages => }/chardet/euctwprober.py (82%)
 rename pip/_vendor/{requests/packages => }/chardet/gb2312freq.py (57%)
 rename pip/_vendor/{requests/packages => }/chardet/gb2312prober.py (81%)
 rename pip/_vendor/{requests/packages => }/chardet/hebrewprober.py (76%)
 rename pip/_vendor/{requests/packages => }/chardet/jisfreq.py (54%)
 rename pip/_vendor/{requests/packages => }/chardet/jpcntx.py (87%)
 rename pip/_vendor/{requests/packages => }/chardet/langbulgarianmodel.py (96%)
 rename pip/_vendor/{requests/packages => }/chardet/langcyrillicmodel.py (91%)
 rename pip/_vendor/{requests/packages => }/chardet/langgreekmodel.py (96%)
 rename pip/_vendor/{requests/packages => }/chardet/langhebrewmodel.py (97%)
 rename pip/_vendor/{requests/packages => }/chardet/langhungarianmodel.py (96%)
 rename pip/_vendor/{requests/packages => }/chardet/langthaimodel.py (98%)
 create mode 100644 pip/_vendor/chardet/langturkishmodel.py
 rename pip/_vendor/{requests/packages => }/chardet/latin1prober.py (81%)
 create mode 100644 pip/_vendor/chardet/mbcharsetprober.py
 rename pip/_vendor/{requests/packages => }/chardet/mbcsgroupprober.py (93%)
 create mode 100644 pip/_vendor/chardet/mbcssm.py
 create mode 100644 pip/_vendor/chardet/sbcharsetprober.py
 rename pip/_vendor/{requests/packages => }/chardet/sbcsgroupprober.py (70%)
 create mode 100644 pip/_vendor/chardet/sjisprober.py
 create mode 100644 pip/_vendor/chardet/universaldetector.py
 rename pip/_vendor/{requests/packages => }/chardet/utf8prober.py (56%)
 create mode 100644 pip/_vendor/chardet/version.py
 create mode 100644 pip/_vendor/colorama.pyi
 create mode 100644 pip/_vendor/distlib.pyi
 create mode 100644 pip/_vendor/distro.pyi
 create mode 100644 pip/_vendor/html5lib.pyi
 create mode 100644 pip/_vendor/idna.pyi
 create mode 100644 pip/_vendor/idna/__init__.py
 create mode 100644 pip/_vendor/idna/codec.py
 create mode 100644 pip/_vendor/idna/compat.py
 create mode 100644 pip/_vendor/idna/core.py
 create mode 100644 pip/_vendor/idna/idnadata.py
 create mode 100644 pip/_vendor/idna/intranges.py
 create mode 100644 pip/_vendor/idna/package_data.py
 create mode 100644 pip/_vendor/idna/uts46data.py
 create mode 100644 pip/_vendor/ipaddress.pyi
 create mode 100644 pip/_vendor/lockfile.pyi
 create mode 100644 pip/_vendor/msgpack.pyi
 create mode 100644 pip/_vendor/msgpack/__init__.py
 create mode 100644 pip/_vendor/msgpack/_version.py
 create mode 100644 pip/_vendor/msgpack/exceptions.py
 create mode 100644 pip/_vendor/msgpack/fallback.py
 delete mode 100644 pip/_vendor/ordereddict.py
 create mode 100644 pip/_vendor/packaging.pyi
 create mode 100644 pip/_vendor/pkg_resources.pyi
 create mode 100644 pip/_vendor/pkg_resources/py31compat.py
 create mode 100644 pip/_vendor/progress.pyi
 create mode 100644 pip/_vendor/pyparsing.pyi
 create mode 100644 pip/_vendor/pytoml.pyi
 create mode 100644 pip/_vendor/pytoml/__init__.py
 create mode 100644 pip/_vendor/pytoml/core.py
 create mode 100644 pip/_vendor/pytoml/parser.py
 create mode 100644 pip/_vendor/pytoml/writer.py
 delete mode 100644 pip/_vendor/re-vendor.py
 create mode 100644 pip/_vendor/requests.pyi
 create mode 100644 pip/_vendor/requests/__version__.py
 create mode 100644 pip/_vendor/requests/_internal_utils.py
 create mode 100644 pip/_vendor/requests/help.py
 create mode 100644 pip/_vendor/requests/packages.py
 delete mode 100644 pip/_vendor/requests/packages/__init__.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/big5freq.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/charsetgroupprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/charsetprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/codingstatemachine.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/constants.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/escprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/escsm.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/eucjpprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/euckrfreq.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/mbcharsetprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/mbcssm.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/sbcharsetprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/sjisprober.py
 delete mode 100644 pip/_vendor/requests/packages/chardet/universaldetector.py
 delete mode 100644 pip/_vendor/requests/packages/urllib3/contrib/pyopenssl.py
 create mode 100644 pip/_vendor/retrying.pyi
 create mode 100644 pip/_vendor/six/__init__.pyi
 create mode 100644 pip/_vendor/six/moves.pyi
 create mode 100644 pip/_vendor/urllib3.pyi
 rename pip/_vendor/{requests/packages => }/urllib3/__init__.py (99%)
 rename pip/_vendor/{requests/packages => }/urllib3/_collections.py (93%)
 rename pip/_vendor/{requests/packages => }/urllib3/connection.py (79%)
 rename pip/_vendor/{requests/packages => }/urllib3/connectionpool.py (86%)
 rename pip/_vendor/{requests/packages => }/urllib3/contrib/__init__.py (100%)
 create mode 100644 pip/_vendor/urllib3/contrib/_securetransport/__init__.py
 create mode 100644 pip/_vendor/urllib3/contrib/_securetransport/bindings.py
 create mode 100644 pip/_vendor/urllib3/contrib/_securetransport/low_level.py
 rename pip/_vendor/{requests/packages => }/urllib3/contrib/appengine.py (63%)
 rename pip/_vendor/{requests/packages => }/urllib3/contrib/ntlmpool.py (96%)
 create mode 100644 pip/_vendor/urllib3/contrib/pyopenssl.py
 create mode 100644 pip/_vendor/urllib3/contrib/securetransport.py
 rename pip/_vendor/{requests/packages => }/urllib3/contrib/socks.py (88%)
 rename pip/_vendor/{requests/packages => }/urllib3/exceptions.py (84%)
 rename pip/_vendor/{requests/packages => }/urllib3/fields.py (99%)
 rename pip/_vendor/{requests/packages => }/urllib3/filepost.py (96%)
 rename pip/_vendor/{requests/packages => }/urllib3/packages/__init__.py (100%)
 create mode 100644 pip/_vendor/urllib3/packages/backports/__init__.py
 create mode 100644 pip/_vendor/urllib3/packages/backports/makefile.py
 rename pip/_vendor/{requests/packages => }/urllib3/packages/ordered_dict.py (100%)
 rename pip/_vendor/{requests/packages => }/urllib3/packages/six.py (100%)
 rename pip/_vendor/{requests/packages => }/urllib3/packages/ssl_match_hostname/__init__.py (64%)
 rename pip/_vendor/{requests/packages => }/urllib3/packages/ssl_match_hostname/_implementation.py (63%)
 rename pip/_vendor/{requests/packages => }/urllib3/poolmanager.py (62%)
 rename pip/_vendor/{requests/packages => }/urllib3/request.py (98%)
 rename pip/_vendor/{requests/packages => }/urllib3/response.py (80%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/__init__.py (85%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/connection.py (84%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/request.py (56%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/response.py (92%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/retry.py (65%)
 create mode 100644 pip/_vendor/urllib3/util/selectors.py
 rename pip/_vendor/{requests/packages => }/urllib3/util/ssl_.py (89%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/timeout.py (93%)
 rename pip/_vendor/{requests/packages => }/urllib3/util/url.py (88%)
 create mode 100644 pip/_vendor/urllib3/util/wait.py
 create mode 100644 pip/_vendor/webencodings.pyi

diff --git a/pip/_vendor/__init__.py b/pip/_vendor/__init__.py
index bee5f5e6..1387dba3 100644
--- a/pip/_vendor/__init__.py
+++ b/pip/_vendor/__init__.py
@@ -70,11 +70,13 @@ if DEBUNDLED:
     vendored("six")
     vendored("six.moves")
     vendored("six.moves.urllib")
+    vendored("six.moves.urllib.parse")
     vendored("packaging")
     vendored("packaging.version")
     vendored("packaging.specifiers")
     vendored("pkg_resources")
     vendored("progress")
+    vendored("pytoml")
     vendored("retrying")
     vendored("requests")
     vendored("requests.packages")
